Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.agents
Class ServiceWarmupAgent

    java.lang.Object
      oracle.ifs.core.runtime.Server
          oracle.ifs.core.runtime.IfsServer
              oracle.ifs.core.runtime.ClusteredServer
                  oracle.ifs.core.agents.ServiceWarmupAgent

All Implemented Interfaces:
  ServerInterface, TimerContext

    public class ServiceWarmupAgent

extends ClusteredServer

The ServiceWarmupAgent warms ups a service's data caches

(Unpublished)

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.core.runtime.IfsServer
`IfsServer.ServerRequest`

Field Summary
`static java.lang.String` | `IFS_SERVER_AGENT_SERVICEWARMUP_WarmupAclsStatus` The property specifying if the acl cache has been warmed up
`static java.lang.String` | `IFS_SERVER_AGENT_SERVICEWARMUP_WarmupFormatsStatus` The property specifying if the format cache has been warmed up.
`static java.lang.String` | `IFS_SERVER_AGENT_SERVICEWARMUP_WarmupMediasStatus` The property specifying if the media cache has been warmed up.
`static java.lang.String` | `IFS_SERVER_AGENT_SERVICEWARMUP_WarmupUsersStatus` The property specifying if the user cache has been warmed up.
`protected java.lang.Thread` | `m_ServiceWarmupThread` The Thread perofrming the warmup
`protected static IfsLogger` | `s_logger` Logging

Fields inherited from class oracle.ifs.core.runtime.ClusteredServer
`REQUESTTYPE_CHECK_REGISTRATION, REQUESTTYPE_FORCE_CHECK_REGISTRATION`

Fields inherited from class oracle.ifs.core.runtime.Server
`LEVEL_HIGH, LEVEL_LOW, LEVEL_MEDIUM, LEVEL_OFF`

Fields inherited from interface oracle.ifs.core.runtime.ServerInterface
`SERVERSTATUS_DISPOSED, SERVERSTATUS_RUNNING, SERVERSTATUS_STARTING, SERVERSTATUS_STOPPED, SERVERSTATUS_STOPPING, SERVERSTATUS_SUSPENDED, SERVERSTATUS_UNKNOWN`

Constructor Summary
`ServiceWarmupAgent()` Constructs the Agent.

Method Summary
`void` | `initialize()` Initialize prior to running
`boolean` | `isAgent()` Gets whether this Server is an agent.
`static void` | `main(java.lang.String[] args)` This is used to run the ServiceWarmup Agent in the standalone mode.
`void` | `postRun()` The post-run tasks for this Server.
`protected void` | `preRun()` The pre-run tasks for this Server.
`protected void` | `publishProperty(java.lang.String name, AttributeValue av)` Publish a property for the world to see
`protected void` | `publishProperty(java.lang.String name, boolean status)` Publish a boolean property for the world to see
`void` | `run()` The run tasks for this Agent.
`protected void` | `serviceWarmup()` Warmup the service caches

Methods inherited from class oracle.ifs.core.runtime.ClusteredServer
`cancelRegistration, checkRegistration, deriveAgentIdentifier, deriveRunningServerIdentifier, getAgentIdentifier, getAgentIdentifierPrefix, getRegistrationPeriod, getRunningNodeIdentifier, getRunningNodeName, getRunningServerIdentifier, getRunningServersEnumeration, handleRequest, initializeRegistration, isPropertyReadonly, isRegistered, isServerRunning, isTokenNonCompeting, releaseTokenRegistration, requestForcedRegistrationCheck, requestRegistrationCheck`

Methods inherited from class oracle.ifs.core.runtime.IfsServer
`checkSession, connectSession, constructSession, convertTimerInterval, convertTimerInterval, convertTimerInterval, dispose, getLastTimerActivation, getNextTimerActivation, getService, getTimerActivationPeriod, getTimerClassName, getTimerConfiguration, handlePriorityChangeRequest, handlePropertyChangeRequest, handlePropertyChangeRequest, handleRequests, handleResumeRequest, handleStopRequest, handleSuspendRequest, handleTimerExpired, isTimerActive, postRequest, processEvent, processEvents, queueEvent, resetTimer, restart, resume, setPriority, setProperty, setProperty, start, startTimer, stop, stopRequested, stopTimer, suspend, timerExpired, waitServer`

Methods inherited from class oracle.ifs.core.runtime.Server
`acquireSession, constructLibrarySessionPool, createServerState, deregister, disconnectSession, getConfigurationOverridesTable, getConfigurationTable, getCredential, getDesiredStatus, getIfsHome, getInitialConfigurationTable, getLoggerForLegacyLogging, getName, getNode, getNodeName, getOracleHome, getParameterTable, getPriority, getProperties, getProperty, getServerConfigurationName, getServerState, getServerStateValue, getServerType, getServiceName, getSession, getStateTable, getStatus, getSystemUserCredential, handleServerConfigurationOverrideRequest, handleServerStateEvent, initialize, initialize, isDisposed, isInitialized, isLogged, log, log, log, postAuditEvent, releaseSession, releaseSession, setDesiredStatus, setDesiredStatus, setSessionTimeoutPrevented, setStateProperty, setStatus, startStandalone, startStandalone, supportsPriority, supportsSuspendResume, toStatusLabel, toStatusLabel, toStatusLabel, verifyNotDisposed, verifyNotDisposed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IFS_SERVER_AGENT_SERVICEWARMUP_WarmupAclsStatus

    public static final java.lang.String IFS_SERVER_AGENT_SERVICEWARMUP_WarmupAclsStatus

  Description copied from class: `ServiceWarmupAgent`
  The property specifying if the acl cache has been warmed up

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVER_AGENT_SERVICEWARMUP_WarmupFormatsStatus

    public static final java.lang.String IFS_SERVER_AGENT_SERVICEWARMUP_WarmupFormatsStatus

  Description copied from class: `ServiceWarmupAgent`
  The property specifying if the format cache has been warmed up.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVER_AGENT_SERVICEWARMUP_WarmupMediasStatus

    public static final java.lang.String IFS_SERVER_AGENT_SERVICEWARMUP_WarmupMediasStatus

  Description copied from class: `ServiceWarmupAgent`
  The property specifying if the media cache has been warmed up.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVER_AGENT_SERVICEWARMUP_WarmupUsersStatus

    public static final java.lang.String IFS_SERVER_AGENT_SERVICEWARMUP_WarmupUsersStatus

  Description copied from class: `ServiceWarmupAgent`
  The property specifying if the user cache has been warmed up.

  See Also:
    Constant Field Values
  (Published)

### m_ServiceWarmupThread

    protected java.lang.Thread m_ServiceWarmupThread

  Description copied from class: `ServiceWarmupAgent`
  The Thread perofrming the warmup

  (Published)

### s_logger

    protected static IfsLogger s_logger

  Description copied from class: `ServiceWarmupAgent`
  Logging

Constructor Detail

### ServiceWarmupAgent

    public ServiceWarmupAgent()
                       throws IfsException

  Constructs the Agent.

  Throws:
    `IfsException`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Description copied from class: `ServiceWarmupAgent`
  This is used to run the ServiceWarmup Agent in the standalone mode.

  Throws:
    `java.lang.Exception`

### isAgent

    public boolean isAgent()
                    throws IfsException

  Description copied from class: `ServiceWarmupAgent`
  Gets whether this Server is an agent.

  This method is called by iFS administration tools to group together servers that are agents in administration user interfaces.

  Specified by:
    `isAgent` in interface `ServerInterface`
  Overrides:
    `isAgent` in class `Server`
  Returns:
    true
  Throws:
    `IfsException` - (IFS-45178) if the operation fails
  (Published)

### run

    public void run()

  Description copied from class: `ServiceWarmupAgent`
  The run tasks for this Agent.

  This method is called after `preRun` each time this Server is started, and before `postRun` is invoked.

  Specified by:
    `run` in class `IfsServer`
  (Published)

### preRun

    protected void preRun()
                   throws java.lang.Exception

  Description copied from class: `ServiceWarmupAgent`
  The pre-run tasks for this Server.

  This method is invoked each time this Server is started. Unless overridden, no operation is performed by this method. The Server status is `SERVERSTATUS_STARTING` while this method executes. When this method returns, the status changes to `SERVERSTATUS_RUNNING` and `run` is invoked. However, if this method throws, the status is set to `SERVERSTATUS_STOPPING` and `postRun` is invoked.

  Overrides:
    `preRun` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### postRun

    public void postRun()

  Description copied from class: `ServiceWarmupAgent`
  The post-run tasks for this Server.

  This method is invoked each time this Server is stopped, whether by the `run` method returning or either the `preRun` or `run` methods throwing. Unless overridden, no operation is performed by this method. While this method executes, the server status is `SERVERSTATUS_STOPPING`. When this method terminates (by either returning or throwing), the status of the server is set to `SERVERSTATUS_STOPPED`.

  Overrides:
    `postRun` in class `IfsServer`
  (Published)

### initialize

    public void initialize()
                    throws java.lang.Exception

  Description copied from class: `ServiceWarmupAgent`
  Initialize prior to running

  Overrides:
    `initialize` in class `Server`
  Throws:
    `java.lang.Exception` - if the operation fails

### publishProperty

    protected void publishProperty(java.lang.String name,
                                   AttributeValue av)
                            throws java.lang.Exception

  Description copied from class: `ServiceWarmupAgent`
  Publish a property for the world to see

  Throws:
    `java.lang.Exception`
  (Unpublished)

### publishProperty

    protected void publishProperty(java.lang.String name,
                                   boolean status)
                            throws java.lang.Exception

  Description copied from class: `ServiceWarmupAgent`
  Publish a boolean property for the world to see

  Throws:
    `java.lang.Exception`
  (Unpublished)

### serviceWarmup

    protected void serviceWarmup()
                          throws java.lang.Exception

  Description copied from class: `ServiceWarmupAgent`
  Warmup the service caches

  Throws:
    `java.lang.Exception`
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD